GROUPMEMS(8)

NAME
groupmems - verwaltet die Mitglieder der primären Gruppe des Benutzers

ÜBERSICHT

groupmems -a user_name | -d user_name | [-g group_name] | -l | -p

BESCHREIBUNG

The groupmems command allows a user to administer their own group membership list without the requirement of superuser privileges. The groupmems utility is for systems that configure its users to be in their own name sake primary group (i.e., guest / guest).

Only the superuser, as administrator, can use groupmems to alter the memberships of other groups.

OPTIONEN

The options which apply to the groupmems command are:

-a, --add user_name
    fügt einen Benutzer der Mitgliederliste der Gruppe hinzu.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-d, --delete user_name
    löscht einen Benutzer aus der Mitgliederliste der Gruppe.

    If the /etc/gshadow file exist, the user will be removed from the list of members and administrators of the group.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-g, --group group_name
    gibt die Gruppe an, wenn eine Mitgliederliste durch den Systemadministrator bearbeitet wird.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-l, --list
    gibt die Mitgliederliste aus.

-p, --purge
    löscht alle Benutzer aus der Mitgliederliste der Gruppe.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

EINRICHTUNG

The groupmems executable should be in mode 2710 as user root and in group groups. The system administrator can add users to group groups to allow or disallow them using the groupmems utility to manage their own group membership list.

    	$ groupadd -r groups
    	$ chmod 2710 groupmems
    	$ chown root:groups groupmems
    	$ groupmems -g groups -a gk4

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    geschützte Informationen zu den Gruppenkonten

SIEHE AUCH

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).